Subject: [PATCH] gnu: cryptsetup: Update to 2.6.1.

From: Jonathan Brielmaier <[email-masked]>
Date: Thu, 20 Apr 2023 01:38:52 +0200

Inspired by this blog post https://mjg59.dreamwidth.org/66429.html I
wanted to upgrade my LUKS partition to version 2 and argon2id on my
existing Guix System.

It seems a bit tricky. With the updated cryptsetup tool I cannot convert
the LUKS partition of the running system ([email-masked] still allowed
that). So I booted an Arch Livesystem and converted from there, but Guix
System refuses to boot.
It hangs in Grub console saying that cryptuuid could not be found.